UbuntuUpdates.org

Package "rabbitmq-server"

Name: rabbitmq-server

Description:

AMQP server written in Erlang

Latest version: 3.8.5-1ubuntu0.2
Release: groovy (20.10)
Level: security
Repository: main
Homepage: https://www.rabbitmq.com/

Links


Download "rabbitmq-server"


Other versions of "rabbitmq-server" in Groovy

Repository Area Version
base main 3.8.5-1
updates main 3.8.5-1ubuntu0.2

Changelog

Version: 3.8.5-1ubuntu0.2 2021-06-24 16:06:28 UTC

  rabbitmq-server (3.8.5-1ubuntu0.2) groovy-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2021-22116.patch: treat arrays with extra or
      missing input as fatal errors in src/amqp10_binary_parser.erl,
      test/binary_parser_SUITE.erl.
    - CVE-2021-22116

 -- Leonidas Da Silva Barbosa <email address hidden> Wed, 23 Jun 2021 08:49:40 -0300

CVE-2021-22116 RabbitMQ all versions prior to 3.8.16 are prone to a denial of service vulnerability due to improper input validation in AMQP 1.0 client connection e



About   -   Send Feedback to @ubuntu_updates